//
// RegexReplaceList: Perform RegexReplace on a list of from/to pairs.
// Patterns are applied in order; pattern matching doesn't stop when
// a match occurs.
//
// $Id: RegexReplaceList.h,v 1.0 2000/08/16 14:18:00 aarmstrong Exp $
//
// $Log: RegexReplaceList.h,v $
// Revision 1.0  2000/08/16 14:18:00  aarmstrong
// New files.
//
//
#ifndef __RegexReplaceList_h
#define __RegexReplaceList_h

#include "RegexReplace.h"
#include "List.h"
#include "StringList.h"

class RegexReplaceList : public Object
{
public:
  // Construct a RegexReplaceList. |list| should contain an even
  // number of strings that constitute from/to pairs.
  RegexReplaceList(StringList &list, String &error);
  virtual ~RegexReplaceList();
  virtual String Replace(const String &source);

private:
  List replacers;
};

#endif /* __RegexReplaceList_h */
